<template>
<div
	:class="class_name"
	v-on:click="onClick"
	v-on:mouseover="onHover"
>
	<div class="split">
		<div>{{ name }}</div>
		<div>{{ players }}/{{ max }}</div>
	</div>
	<div v-if="selected" class="split sub-details">
		<div>Host: {{ host }}</div>
		<div>ID: {{ id }}</div>
	</div>
</div>
</template>

<script>
export default {
	computed: {
		class_name: function () {
			return {
				"lobby-list-item": true,
				"selected": this.selected
			}
		}
	},
	methods: {
		onClick () {
			this.$emit("click", this.id)
		},
		onHover: function () {
			this.$emit("hover", this.id)
		}
	},
	name: "lobby-list-item",
	props: [ "id", "host", "max", "name", "players", "selected" ]
}
</script>

<style lang="less" scoped>
.lobby-list-item {
	cursor: pointer;
	font-size: .75em;
	padding: .25em;
	transition: font-size .1s ease;

	&.selected {
		background-color: #fff;
		color: #000;
		font-size: 1em;
	}
}

.split {
	display: flex;
	justify-content: space-between;
}

.sub-details {
	font-size: .5em;
}
</style>
